Skip to main content
Playlist

Create clever playlist with static content / Update static/clever playlist

Create clever playlist with static content: This route allows you to create clever playlists.

POST
/api/v1/playlist

An example has been provided which shows the settings fields for playlists as well as how to assign media library content.

Update static/clever playlist: This route allows you to modify existing playlists with static content. It functionals identically to the previous route, however notice the addition of the 'id' attribute. This is the id of the playlist you wish to edit and apply these new settings to.

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

Body

application/json
default_animationstring
default_runtimeinteger
dynamicboolean
groupsany[]
idstring
interruptboolean
itemsobject[]
items_per_passstring
namestring
play_full_videoboolean
playersany[]
scheduleobject[]
tagsany[]

Success. Response body is not documented in the source collection.